@charset "UTF-8";
* {
  margin: 0;
  padding: 0;
  border: 0;
  font: inherit;
  font-size: 100%;
  vertical-align: baseline;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

body {
  font-family: "Kosugi Maru", "Zen Maru Gothic", "Klee One", "Hiragino Kaku Gothic ProN", "ヒラギノ角ゴ ProN W3", "游ゴシック体", YuGothic, "游ゴシック", "Yu Gothic", "メイリオ", sans-serif;
}

body {
  font-family: sans-serif;
  background: #fafafa;
  min-height: 100vh;
  margin: 0;
}

h1 {
  font-family: "Bebas Neue", sans-serif;
  font-size: 2em;
}

#header-inner {
  max-width: 800px;
  margin: 0 auto;
  padding: 1em;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

main {
  max-width: 800px;
  margin: 1em auto;
}

ul {
  padding: 0;
  margin: 0;
}

#result {
  margin: 0 5px;
}

form {
  display: flex;
  flex: 1;
}

input {
  width: 100%;
  padding: 0 5px;
  border: 1px solid #888;
  border-radius: 5px;
}

input:focus {
  outline: none;
  border-color: #86b7fe;
  box-shadow: 0 0 0 0.25rem rgba(13, 110, 253, 0.25);
}

.track {
  list-style: none;
  background: white;
  margin-bottom: 6px;
  padding: 14px;
  border: 1px solid #ddd;
  border-radius: 6px;
  display: flex;
  align-items: center;
  gap: 7px;
}

/* handle を大きめにしてタッチしやすく */
.handle {
  cursor: grab;
  font-size: 1.5em;
  padding: 0.3em;
  display: inline-block;
  -webkit-user-select: none;
     -moz-user-select: none;
          user-select: none;
}

.handle:active {
  cursor: grabbing;
}

.info {
  flex-grow: 1;
}

.title {
  font-weight: bold;
}

.artist {
  font-size: 13px;
  color: #666;
}

.meta {
  display: flex;
  gap: 5px;
  font-size: 11px;
  flex-direction: column;
}

.badge {
  min-width: 65px;
  text-align: center;
  background: #efefef;
  padding: 3px 8px;
  border-radius: 12px;
}

.time {
  font-weight: bold;
  min-width: 50px;
  text-align: center;
}

.delete-btn {
  cursor: pointer;
  background: #ff5c5c;
  color: white;
  border: none;
  border-radius: 4px;
  padding: 2px 6px;
  font-size: 12px;
  min-width: 40px;
}

.cumulative {
  text-align: center;
  font-size: 12px;
  color: #888;
  margin: 4px 0 8px;
}

.sortable-ghost {
  opacity: 0.4;
}

.container {
  margin: 0.5em;
}

.track {
  cursor: pointer;
  transition: background-color 0.15s ease;
}

.track.selected {
  background-color: #a5ada9;
  color: #fff;
}
.track.selected .artist {
  color: #fff;
}
.track.selected .badge {
  color: #000;
}

.btn {
  margin: 2px;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 5px;
  border: 1px solid #888;
  border-radius: 10px;
}

a.btn svg {
  -webkit-tap-highlight-color: transparent; /* iOS / Chrome Android */
}

nav {
  display: flex;
}
nav.page {
  justify-content: space-between;
}

.navigation {
  margin: 1em;
}
.navigation a {
  text-decoration: none; /* 下線も消す場合 */
  color: inherit; /* 見た目も普通の文字に */
}

#artists h2 {
  font-size: 32px;
  font-weight: bold;
  text-align: center;
}
#artists ul {
  margin-bottom: 1em;
}
#artists ul li {
  list-style: none;
}
#artists .btn {
  text-decoration: none; /* 下線も消す場合 */
  color: inherit; /* 見た目も普通の文字に */
}